{
  "Serilog": {
    "Using": [
      "Serilog.Sinks.Async",
      "Serilog.Sinks.Console"
    ],
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "Microsoft": "Information",
        "Microsoft.Hosting.Lifetime": "Debug",
        "System": "Information"
      }
    },
    "WriteTo": [
      {
        "Name": "Async",
        "Args": {
          "configure": [
            {
              "Name": "Console",
              "Args": {}
            }
          ]
        }
      }
    ]
  },
  "RabbitConfig": {
    "HostName": "serdica.ablera.dev",
    "UserName": "ablera",
    "Password": "AblerA2022",
    "Port": 5672,
    "ParallelConsumersCount": 2,
    "ConsumerPrefetchCount": 1,
    "Exchange": "authority",
    "RequestQueueName": "authority.request"
  },
  "MicroserviceConfig": {
    "SectionName": "Authority",
    "ExchangeName": "authority",
    "DefaultAllowedRoles": [ "DBA" ],
    "DefaultTimeout": "00:00:15"
  },
  "RedisConfig": {
    "ServerUrl": "serdica.ablera.dev:6379",
    "Password": "AblerA2022"
  },
  "ConnectionStrings": {
    "DefaultConnection": "DATA SOURCE=(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=db.serdica.ablera.dev)(PORT=1521))(CONNECT_DATA=(SID=orcl1)));USER ID=srd_sys;PASSWORD=srd_sys"
  },
  "ConnectionSettings": {
    "Oracle": {
      "KeepAlive": true,
      "KeepAliveInterval": 60,
      "KeepAliveTime": 10,
      "MaxCachedQueries": 200
    }
  },
  "UsersConfigurationSettings": {
    "AuthorizationTokenDurationInMinutes": 6,
    "CacheKey": "users-configuration",
    "MinimumAutoLogoutMinutes": 5,
    "MaximumAutoLogoutMinutes": 43000,
    "DefaultAutoLoginInSeconds": null,
    "IsAutoLogoutEnabled": true,
    "DefaultMainOfficeCode": "0200",
    "DefaultCountry": "BG",
    "DefaultLanguage": "BG"
  },
  "UserManagingDirectorConfig": {
    "LoginAnywhere": true,
    "UpdateEveryWhere": false
  },
  "SerdicaConfig": {
    "TrustedNetworks": [
      "127.0.0.1/8",
      "10.0.0.0/8",
      "172.16.0.0/12"
    ]
  },
  "PluginsConfig": {
    "PluginsDirectory": "PluginBinaries",
    "PluginsOrder": [ "Ablera.Serdica.Authority.Plugin.Ldap", "Ablera.Serdica.Authority.Plugin.Bulstrad", "Ablera.Serdica.Authority.Plugin.Standard" ]
  },
  "FileServerConfig": {
    "RootPathPrefixForWWW": ""
  }
}
